#include "__if.h"
#include "Exception.h"
#include <iostream>
#include "Expression.h"

namespace jet {

   __if::__if(coreutils::ZString &in, coreutils::MString &out, Global &global) : Tag(in, out, global) {

      coreutils::MString result;

      if(variableDefined("value1")) {
	 if(variableDefined("expr"))
	   throw coreutils::Exception("Either value1 or expr can be specified but not both.");
	 if(variableDefined("value2")) {
	    if(variableDefined("type")) {

	    } else
	      throw coreutils::Exception("type expected if value1 and value2 specified.");
	 } else
	   throw coreutils::Exception("value2 required if value1 specified.");
      } else if(variableDefined("expr")) {
   	   if(variableDefined("value2"))
	        throw coreutils::Exception("value2 should not be specified with expr.");
	      if(variableDefined("type"))
	        throw coreutils::Exception("type should not be specified with expr.");
	      result = Expression(variables["expr"]);
         std::cout << "result1: " << result << std::endl;
      }
      std::cout << "result2: " << result << std::endl;
      if(result.boolValue()) {
	      parseContainer(container);
      }

   }

}
